Summary:        C Foreign Function Interface for Python.
Name:           python-cffi
Version:        1.15.0
Release:        3%{?dist}
License:        MIT
URL:            https://cffi.readthedocs.org/
Source0:        https://foss.heptapod.net/pypy/cffi/-/archive/v%{version}/cffi-v%{version}.tar.gz



BuildRequires:  gcc, make
BuildRequires:  libffi-devel
# For tests:
BuildRequires:  gcc-c++

%?python_enable_dependency_generator

%description
C Foreign Function Interface for Python. Interact with almost any C
code from Python, based on C-like declarations that you can often
copy-paste from header files or documentation.

%package -n python3-cffi
Summary:        Foreign Function Interface for Python 3 to call C code
BuildRequires:  python3-pytest
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pycparser
Provides: python3-cffi = %{version}-%{release}

%description -n python3-cffi
C Foreign Function Interface for Python. Interact with almost any C
code from Python, based on C-like declarations that you can often
copy-paste from header files or documentation.



%prep
%autosetup -p1 -n cffi-%{version}



%build
%py3_build



%install
%py3_install



%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m pytest c/ testing/



%files -n python3-cffi
%doc PKG-INFO
%license LICENSE
%{python3_sitearch}/cffi/
%{python3_sitearch}/_cffi_backend.*.so
%{python3_sitearch}/cffi-%{version}-py%{python3_version}.egg-info/



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 09 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.15.0-1
- Initial
